<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>polylib: NormalForms.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.6 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
<h1>NormalForms.h</h1><a href="NormalForms_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00002"></a>00002 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00003"></a>00003 <span class="preprocessor">#endif</span>
<a name="l00004"></a>00004 <span class="preprocessor"></span>
<a name="l00005"></a>00005 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="NormalForms_8c.html#1d5c5fdbd71ebc1eb2ce3f11ce9fbd5f" title="Smith : This function takes a Matrix A of dim n * l as its input and returns the...">Smith</a>(<a class="code" href="structmatrix.html">Matrix</a> *A, <a class="code" href="structmatrix.html">Matrix</a> **U, <a class="code" href="structmatrix.html">Matrix</a> **V, <a class="code" href="structmatrix.html">Matrix</a> **Product);
<a name="l00006"></a>00006 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="NormalForms_8c.html#cd4e00bd353920b83e3f27a76909b2ed" title="Hermite : This function takes a Matrix as its input and finds its HNF ( Left form...">Hermite</a>(<a class="code" href="structmatrix.html">Matrix</a> *A, <a class="code" href="structmatrix.html">Matrix</a> **H, <a class="code" href="structmatrix.html">Matrix</a> **U);
<a name="l00007"></a>00007 
<a name="l00008"></a>00008 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00009"></a>00009 <span class="preprocessor"></span>}
<a name="l00010"></a>00010 <span class="preprocessor">#endif</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Sep 15 18:33:59 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
</body>
</html>
